Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemoveRequest.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemoveRequest.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemoveRequest.cs	(revision 423)
@@ -0,0 +1,410 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 請求取消データアクセスクラス
+    /// </summary>
+    public class IORemoveRequest : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 請求データフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            RemoveNo = 0,
+            RemoveDate,
+            RemovePersonCode,
+            RemoveComment,
+            RequestNo,
+            ReqConstructionCode,
+            OrderNo,
+            RequestMonth,
+            OrderersDivision,
+            OrderersCode,
+            OrderersName,
+            ReqConstructionName,
+            RequestTotalAmount,
+            RequestAmount,
+            TaxAmount,
+            UnpaidAmount,
+            Note,
+            AssignedFlg,
+            InvoiceNo,
+            ENTRYDATE,
+            UPDATEDATE,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="connectionString"></param>
+        public IORemoveRequest()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SELECT　SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append("SELECT ");
+
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+
+                    if (!bColFirst) strcmd.Append(",");
+
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}", strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                strcmd.Append(" FROM RemoveRequest");
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 請求取消データ検索
+        /// <summary>
+        /// 請求取消データ検索
+        /// </summary>
+        public bool SelectAction(string AddSQLString, ref List<RemoveRequest> data, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    RemoveRequest work = new RemoveRequest();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求取消データ１件追加
+        /// <summary>
+        /// 請求取消データ１件追加
+        /// </summary>
+        public bool InsertAction(RemoveRequest data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                bool bColFirst = true;
+                strcmd.Append("INSERT INTO RemoveRequest");
+                strcmd.Append(" (");
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
+                    bColFirst = false;
+                }
+                strcmd.Append(") VALUES (");
+
+                strcmd.AppendFormat(" {0}", data.RemoveNo);
+                strcmd.AppendFormat(", {0}", data.RemoveDate);
+                strcmd.AppendFormat(", {0}", data.RemovePersonCode);
+                strcmd.AppendFormat(",'{0}'", data.RemoveComment);
+
+                strcmd.AppendFormat(", {0}", data.RequestNo);
+                strcmd.AppendFormat(", {0}", data.ReqConstructionCode);
+                strcmd.AppendFormat(", {0}", data.OrderNo);
+
+                strcmd.AppendFormat(", {0}", data.RequestMonth);
+                strcmd.AppendFormat(", {0}", data.OrderersDivision);
+                strcmd.AppendFormat(", {0}", data.OrderersCode);
+                strcmd.AppendFormat(",'{0}'", data.OrderersName);
+                strcmd.AppendFormat(",'{0}'", data.ReqConstructionName);
+                strcmd.AppendFormat(", {0}", data.RequestTotalAmount);
+                strcmd.AppendFormat(", {0}", data.RequestAmount);
+                strcmd.AppendFormat(", {0}", data.TaxAmount);
+                strcmd.AppendFormat(", {0}", data.UnpaidAmount);
+                strcmd.AppendFormat(",'{0}'", data.Note);    
+                strcmd.AppendFormat(", {0}", data.AssignedFlg);
+                strcmd.AppendFormat(", {0}", data.InvoiceNo);
+
+                strcmd.Append(", NOW()");
+                strcmd.Append(", NOW()");
+                strcmd.Append(")");
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求取消データ更新（１件更新）
+        /// <summary>
+        /// 請求データ更新（１件更新）
+        /// </summary>
+        public bool UpdateAction(string AddSQLString, RemoveRequest data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+
+                strcmd.Append("UPDATE RemoveRequest");
+
+                strcmd.Append(" SET");
+
+                strcmd.AppendFormat(" RemoveNo = {0}", data.RemoveNo);
+                strcmd.AppendFormat(", RemoveDate = {0}", data.RemoveDate);
+                strcmd.AppendFormat(", RemovePersonCode = {0}", data.RemovePersonCode);
+                strcmd.AppendFormat(", RemoveComment = '{0}'", data.RemoveComment);
+
+                strcmd.AppendFormat(", ReqConstructionCode = {0}", data.ReqConstructionCode);
+                strcmd.AppendFormat(", OrderNo = {0}", data.OrderNo);
+                strcmd.AppendFormat(", RequestMonth = {0}", data.RequestMonth);
+
+                strcmd.AppendFormat(", OrderersDivision = {0}", data.OrderersDivision);
+                strcmd.AppendFormat(", OrderersCode = {0}", data.OrderersCode);
+                strcmd.AppendFormat(", OrderersName = '{0}'", data.OrderersName);
+
+
+                strcmd.AppendFormat(", ReqConstructionName = '{0}'", data.ReqConstructionName);
+                strcmd.AppendFormat(", RequestTotalAmount = {0}", data.RequestTotalAmount);
+                strcmd.AppendFormat(", RequestAmount = {0}", data.RequestAmount);
+                strcmd.AppendFormat(", TaxAmount = {0}", data.TaxAmount);
+                strcmd.AppendFormat(", UnpaidAmount = {0}", data.UnpaidAmount);
+                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                
+                strcmd.AppendFormat(", AssignedFlg = {0}", data.AssignedFlg);
+                strcmd.AppendFormat(", InvoiceNo = {0}", data.InvoiceNo);
+
+                strcmd.Append(", UpdateDate = NOW()");
+
+                //strcmd.AppendFormat(" Where RequestNo = {0}", data.RequestNo.ToString());
+                strcmd.Append(AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求取消データ削除
+        /// <summary>
+        /// 請求データ削除
+        /// </summary>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM RemoveRequest", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region MySQLDataReaderより構造体へセットする
+        /// <summary>
+        /// MySQLDataReaderより構造体へセットする
+        /// </summary>
+        public void Reader2Struct(object[] objwrk, ref RemoveRequest wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.RemoveNo = int.Parse(objwrk[(int)NameColumn.RemoveNo].ToString());
+                wrk.RemoveDate = int.Parse(objwrk[(int)NameColumn.RemoveDate].ToString());
+                wrk.RemovePersonCode = int.Parse(objwrk[(int)NameColumn.RemovePersonCode].ToString());
+                wrk.RemoveComment = objwrk[(int)NameColumn.RemoveComment].ToString();
+
+                wrk.RequestNo = int.Parse(objwrk[(int)NameColumn.RequestNo].ToString());
+                
+                wrk.ReqConstructionCode = int.Parse(objwrk[(int)NameColumn.ReqConstructionCode].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)NameColumn.OrderNo].ToString());
+
+                wrk.RequestMonth = int.Parse(objwrk[(int)NameColumn.RequestMonth].ToString());
+                wrk.OrderersDivision = int.Parse(objwrk[(int)NameColumn.OrderersDivision].ToString());
+                wrk.OrderersCode = int.Parse(objwrk[(int)NameColumn.OrderersCode].ToString());
+                wrk.OrderersName = objwrk[(int)NameColumn.OrderersName].ToString();
+
+                wrk.ReqConstructionName = objwrk[(int)NameColumn.ReqConstructionName].ToString();
+
+                wrk.RequestTotalAmount = long.Parse(objwrk[(int)NameColumn.RequestTotalAmount].ToString());
+                wrk.RequestAmount = long.Parse(objwrk[(int)NameColumn.RequestAmount].ToString());
+                wrk.TaxAmount = long.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
+                wrk.UnpaidAmount = long.Parse(objwrk[(int)NameColumn.UnpaidAmount].ToString());
+
+                wrk.Note = objwrk[(int)NameColumn.Note].ToString();
+
+                wrk.AssignedFlg = int.Parse(objwrk[(int)NameColumn.AssignedFlg].ToString());
+                wrk.InvoiceNo = int.Parse(objwrk[(int)NameColumn.InvoiceNo].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="RequestNo">請求No</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int RemoveNo, int RemoveDate = 0)
+        {
+            StringBuilder strWork = new StringBuilder();
+            try
+            {
+                strWork.AppendFormat(" Where RemoveNo = {0}", RemoveNo);
+                if (RemoveDate != 0)
+                    strWork.AppendFormat(" And RemoveDate = {0}", RemoveDate);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
+            }
+
+            return strWork.ToString();
+        }
+        #endregion
+
+        #region 請求取消Noの採番
+        /// <summary>
+        /// 請求取消Noの採番
+        /// </summary>
+        /// <returns></returns>
+        public int NumberingRemoveNo(int RemoveDate, bool bConnect = true)
+        {
+            int ret = -1;
+
+            StringBuilder sql = new StringBuilder();
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                sql.AppendFormat("SELECT IFNULL(MAX(RemoveNo),0) FROM RemoveRequest WHERE RemoveDate = {0}", RemoveDate) ;
+
+                // SQL実行
+                if (!ExecuteReader(sql.ToString(), ref arData, bConnect)) return -1;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ret = int.Parse(objwrk[0].ToString());
+                    break;
+                }
+
+                if (ret > 0)
+                {
+                    ret++;
+                }
+                else
+                {
+                    ret = (RemoveDate * 100) + 1;
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, sql.ToString());
+            }
+            return ret;
+
+        }
+        #endregion
+
+    }
+
+}
+
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemoveRequestDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemoveRequestDetail.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemoveRequestDetail.cs	(revision 423)
@@ -0,0 +1,377 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 請求取消データ明細アクセスクラス
+    /// </summary>
+    public class IORemoveRequestDetail : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 請求取消データ明細フィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            RemoveNo = 0,
+            SeqNo,
+            RequestNo,
+            MainConstructionCode,
+            ConstructionCode,
+            ConstructionKind,
+            RequestAmount,
+            TaxAmount,
+            ENTRYDATE,
+            UPDATEDATE,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="connectionString"></param>
+        public IORemoveRequestDetail()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SELECT　SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append("SELECT ");
+
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+
+                    if (!bColFirst) strcmd.Append(",");
+
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}", strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                strcmd.Append(" FROM RemoveRequestDetail");
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 請求取消データ明細検索
+        /// <summary>
+        /// 請求取消データ明細検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<RemoveRequestDetail> data, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    RemoveRequestDetail work = new RemoveRequestDetail();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求取消データ明細複数追加
+        /// <summary>
+        /// 請求取消データ明細複数追加
+        /// </summary>
+        /// <param name="data">請求取消データ明細</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<RemoveRequestDetail> data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+
+                bool bColFirst = true;
+                strcmd.Append("INSERT INTO RemoveRequestDetail");
+                strcmd.Append(" (");
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
+                    bColFirst = false;
+                }
+                strcmd.Append(") VALUES");
+
+                bool bDataFirst = true;
+                foreach (RemoveRequestDetail work in data)
+                {
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
+
+                    strcmd.AppendFormat(" {0}", work.RemoveNo);
+                    strcmd.AppendFormat(", {0}", work.SeqNo);
+                    strcmd.AppendFormat(", {0}", work.RequestNo);
+                    strcmd.AppendFormat(", {0}", work.MainConstructionCode);
+                    strcmd.AppendFormat(", {0}", work.ConstructionCode);
+
+                    strcmd.AppendFormat(", {0}", work.ConstructionKind);
+                    strcmd.AppendFormat(", {0}", work.RequestAmount);
+                    strcmd.AppendFormat(", {0}", work.TaxAmount);
+
+                    strcmd.Append(", NOW()");
+                    strcmd.Append(", NOW()");
+                    strcmd.Append(")");
+                }
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求取消データ明細１件追加
+        /// <summary>
+        /// 請求取消データ明細１件追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(RemoveRequestDetail data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                bool bColFirst = true;
+                strcmd.Append("INSERT INTO RemoveRequestDetail");
+                strcmd.Append(" (");
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
+                    bColFirst = false;
+                }
+                strcmd.Append(") VALUES (");
+
+                strcmd.AppendFormat(" {0}", data.RemoveNo);
+                strcmd.AppendFormat(", {0}", data.SeqNo);
+                strcmd.AppendFormat(", {0}", data.RequestNo);
+                strcmd.AppendFormat(", {0}", data.MainConstructionCode);
+                strcmd.AppendFormat(", {0}", data.ConstructionCode);
+
+                strcmd.AppendFormat(", {0}", data.ConstructionKind);
+                strcmd.AppendFormat(", {0}", data.RequestAmount);
+                strcmd.AppendFormat(", {0}", data.TaxAmount);
+
+                strcmd.Append(", NOW()");
+                strcmd.Append(", NOW()");
+                strcmd.Append(")");
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求取消データ明細更新
+        /// <summary>
+        /// 請求取消データ明細更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">請求取消データ明細</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, RemoveRequestDetail data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+
+                strcmd.Append("UPDATE RemoveRequestDetail");
+
+                strcmd.Append(" SET");
+
+                strcmd.AppendFormat(" RemoveNo = {0}", data.RemoveNo);
+                strcmd.AppendFormat(", SeqNo = {0}", data.SeqNo);
+                strcmd.AppendFormat(", RequestNo = {0}", data.RequestNo);
+                strcmd.AppendFormat(", MainConstructionCode = {0}", data.MainConstructionCode);
+                strcmd.AppendFormat(", ConstructionCode = {0}", data.ConstructionCode);
+
+                strcmd.AppendFormat(", ConstructionKind = {0}", data.ConstructionKind);
+                strcmd.AppendFormat(", RequestAmount = {0}", data.RequestAmount);
+                strcmd.AppendFormat(", TaxAmount = {0}", data.TaxAmount);
+
+                strcmd.Append(", UpdateDate = NOW()");
+
+                strcmd.Append(AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求取消データ明細削除
+        /// <summary>
+        /// 請求取消データ明細削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM RemoveRequestDetail", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region MySQLDataReaderより構造体へセットする
+        /// <summary>
+        /// MySQLDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">MySQLDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref RemoveRequestDetail wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.RemoveNo = int.Parse(objwrk[(int)NameColumn.RemoveNo].ToString());
+                wrk.SeqNo = int.Parse(objwrk[(int)NameColumn.SeqNo].ToString());
+
+                wrk.RequestNo = int.Parse(objwrk[(int)NameColumn.RequestNo].ToString());
+                wrk.MainConstructionCode = int.Parse(objwrk[(int)NameColumn.MainConstructionCode].ToString());
+                wrk.ConstructionCode = int.Parse(objwrk[(int)NameColumn.ConstructionCode].ToString());
+
+                wrk.ConstructionKind = int.Parse(objwrk[(int)NameColumn.ConstructionKind].ToString());
+                wrk.RequestAmount = long.Parse(objwrk[(int)NameColumn.RequestAmount].ToString());
+                wrk.TaxAmount = long.Parse(objwrk[(int)NameColumn.TaxAmount].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATEDATE].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        public string CreatePrimarykeyString(int RemoveNo, int SeqNo = 0)
+        {
+            StringBuilder strWork = new StringBuilder();
+            try
+            {
+                strWork.AppendFormat(" Where RemoveNo = {0}", RemoveNo.ToString());
+                if(SeqNo != 0)
+                    strWork.AppendFormat(" And SeqNo = {0}", SeqNo.ToString());
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
+            }
+
+            return strWork.ToString();
+        }
+        #endregion
+    }
+}
+
